std::basic_ofstream::operator=(3)

NAME
std::basic_ofstream::operator= - std::basic_ofstream::operator=

Synopsis
   basic_ofstream& operator=( basic_ofstream&& other ); (since C++11)
   Move assigns the file stream other to *this, effectively move-assigning both the
   std::basic_ostream base class and the associated std::basic_filebuf.
   other is left with no associated file. Note that the base class move assignment
   swaps all stream state variables (except for rdbuf) between *this and other.

Parameters
   other - file stream to move.

Return value
   *this

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two file streams
   (C++11) (public member function)
   operator= assigns a basic_filebuf object
   (C++11) (public member function of std::basic_filebuf<CharT,Traits>)
   operator= move-assigns from another basic_ostream
   (C++11) (protected member function)